Index: tests/GuiChecks/Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,67 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2014 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 10. pop molecule selection
+
+
+AT_SETUP([Selection - Pop molecule selection])
+AT_KEYWORDS([selection molecule select-molecule-by-id push-molecule-selection pop-molecule-selection unselect-all-molecules])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/PopMoleculeSelection"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_id2_4.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 2 4 --push-molecule-selection --unselect-all-molecules --pop-molecule-selection -s $targetfile --no-dry-run --store-session session-selection-pop-molecule-selection.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-pop-molecule-selection.py >session-selection-pop-molecule-selection_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-pop-molecule-selection_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Pop molecule selection with Undo])
+AT_KEYWORDS([selection molecule select-molecule-by-id push-molecule-selection pop-molecule-selection unselect-all-molecules undo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/PopMoleculeSelection"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 2 4 --push-molecule-selection --unselect-all-molecules --pop-molecule-selection --undo -s $targetfile --no-dry-run --store-session session-selection-pop-molecule-selection.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-pop-molecule-selection.py >session-selection-pop-molecule-selection_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-pop-molecule-selection_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Pop molecule selection with Redo])
+AT_KEYWORDS([selection molecule select-molecule-by-id push-molecule-selection pop-molecule-selection unselect-all-molecules redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/PopMoleculeSelection"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_id2_4.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 2 4 --push-molecule-selection --unselect-all-molecules --pop-molecule-selection --undo --redo -s $targetfile --no-dry-run --store-session session-selection-pop-molecule-selection.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-pop-molecule-selection.py >session-selection-pop-molecule-selection_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-pop-molecule-selection_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
